%define	pkg_name	sigar
%define	soname		0
Name:		lib%{pkg_name}%{soname}
Version:	1.6.5
#Release:	0.2.git833ca18%{?dist}
Release:	8.17
Summary:	System Information Gatherer And Reporter

%global sigar_suffix  0-g4b67f57
%global sigar_hash    58097d9

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://sigar.hyperic.com/

# Once 1.6.5 is released, we can use tarballs from GitHub:
#    Source0:	http://download.github.com/hyperic-sigar-{name}-{version}-{sigar_suffix}.tar.gz
#
# Until then the tarball can be re-generated with:
#    git clone git://github.com/hyperic/sigar.git
#    cd sigar
#    git archive --prefix=sigar-1.6.5/ 833ca18 | bzip2 > sigar-1.6.5-833ca18.tbz2
#
# The diff from 1.6.4 is too huge to contemplate cherrypicking from
Source0:	%{pkg_name}-%{version}-%{sigar_hash}.tbz2
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gcc cmake binutils
BuildRequires:	autoconf automake
BuildRequires:	lua-devel

Patch0:		sigar-1.6.5_autogen.patch
Patch100:	bz714249-1-cpu-count.patch
Patch101:	bz746288-1-cpu-count-arch.patch

%description
The Sigar API provides a portable interface for gathering system
information such as:
- System memory, swap, CPU, load average, uptime, logins
- Per-process memory, CPU, credential info, state, arguments,
  environment, open files
- File system detection and metrics
- Network interface detection, configuration info and metrics
- Network route and connection tables

This information is available in most operating systems, but each OS
has their own way(s) providing it. SIGAR provides developers with one
API to access this information regardless of the underlying platform.

#The core API is implemented in pure C with bindings currently
#implemented for Java, Perl and C#.

%package -n %{pkg_name}-devel 
License:	ASL 2.0
Group:		Development/Libraries
Summary:	SIGAR Development package - System Information Gatherer And Reporter
Requires:	%{name} = %{version}-%{release}

%description -n %{pkg_name}-devel
Header files for developing against the Sigar API

%prep
# When using the GitHub tarballs, use:
# setup -q -n hyperic-{name}-{sigar_hash}
%setup -q -n %{pkg_name}-%{version}
%patch0

%patch100 -p1 -b .bz714249
%patch101 -p1 -b .bz746288

%build
# Fix lib directory
sed -i.sed s:DESTINATION\ lib:DESTINATION\ %{_lib}: src/CMakeLists.txt
%configure
##ls -al src/
##mkdir build
##pushd build
##cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
make %{?_smp_mflags}
##popd

%install
rm -rf $RPM_BUILD_ROOT
##pushd build
##cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
make install DESTDIR=%{buildroot}
##popd
objdump -x %{buildroot}%{_libdir}/libsigar.so | grep sigar_version_get

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog README LICENSE NOTICE
%{_libdir}/libsigar.so.0.0.0

%files -n %{pkg_name}-devel
%defattr(-,root,root,-)
%{_includedir}/sigar*.h
%{_libdir}/libsigar.so.0
%{_libdir}/libsigar.so
%{_libdir}/libsigar.a
%{_libdir}/libsigar.la
%doc LICENSE NOTICE

%changelog
* Mon Nov 18 2013 cs@linux-administrator.com
- initial build
